﻿@model IEnumerable<eCommerce.Services.Model.Banner>
@using eCommerce.Services.Model
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Nombre</th>
            <th class="text-center">Tienda</th>
            <th class="text-center">Posicion</th>
            <th class="text-center">Orden</th>
            <th class="text-center">Activo</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (Banner banner in Model)
        {
            <tr>
                <td>@Html.DisplayFor(modelItem => banner.Name)</td>
                <td class="text-center"> @(banner.UserType.HasValue ? ((UserTypeEnum)banner.UserType).ToString() : string.Empty)</td>
                <td class="text-center"> @(((BannerPositionEnum)banner.Position).ToString())</td>
                <td class="text-center">@Html.DisplayFor(modelItem => banner.Order)</td>
                <td class="text-center">    
                    @if (banner.Active)
                    {
                        <span class="label label-outline label-success">Si</span>
                    }
                    else
                    {
                        <span class="label label-outline label-danger">No</span>
                    }
                </td>
                <td class="actions text-center">

                    <a href="/Banners/BannerUpdate/@banner.BannerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@banner.BannerId" onclick="fDeleteDialog(@banner.BannerId)"><i class="icon wb-trash" aria-hidden="true"></i></a>

                </td>
            </tr>
        }
    </tbody>
</table>
